import java.util.ArrayList;
import java.util.List;

class VehiculeComposite implements Vehicule {
    private List<Vehicule> vehicules = new ArrayList<>();

    @Override
    public int getNombrePassagers() {
        int totalPassagers = 0;
        for (Vehicule vehicule : vehicules) {
            totalPassagers += vehicule.getNombrePassagers();
        }
        return totalPassagers;
    }

    @Override
    public void afficher() {
        System.out.println("Le bateau contient au total : " + getNombrePassagers() + " passagers");
        for (Vehicule vehicule : vehicules) {
            vehicule.afficher();
        }
    }

    public void ajouterVehicule(Vehicule vehicule) {
        vehicules.add(vehicule);
    }

    public void retirerVehicule(Vehicule vehicule) {
        vehicules.remove(vehicule);
    }
}